CommitLogMetrics (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.metrics

## Class CommitLogMetrics

- java.lang.Object
- - org.apache.cassandra.metrics.CommitLogMetrics

-     public class CommitLogMetrics
      extends java.lang.Object

  Metrics for commit log

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `com.yammer.metrics.core.Gauge<java.lang.Long>` | `completedTasks` Number of completed tasks
    `static MetricNameFactory` | `factory`
    `com.yammer.metrics.core.Gauge<java.lang.Long>` | `pendingTasks` Number of pending tasks
    `com.yammer.metrics.core.Gauge<java.lang.Long>` | `totalCommitLogSize` Current size used by all the commit log segments
    `com.yammer.metrics.core.Timer` | `waitingOnCommit` The time spent waiting on CL sync; for Periodic this is only occurs when the sync is lagging its sync interval
    `com.yammer.metrics.core.Timer` | `waitingOnSegmentAllocation` Time spent waiting for a CLS to be allocated - under normal conditions this should be zero

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommitLogMetrics(AbstractCommitLogService service, CommitLogSegmentManager allocator)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### factory

          public static final MetricNameFactory factory

    - #### completedTasks

          public final com.yammer.metrics.core.Gauge<java.lang.Long> completedTasks

      Number of completed tasks

    - #### pendingTasks

          public final com.yammer.metrics.core.Gauge<java.lang.Long> pendingTasks

      Number of pending tasks

    - #### totalCommitLogSize

          public final com.yammer.metrics.core.Gauge<java.lang.Long> totalCommitLogSize

      Current size used by all the commit log segments

    - #### waitingOnSegmentAllocation

          public final com.yammer.metrics.core.Timer waitingOnSegmentAllocation

      Time spent waiting for a CLS to be allocated - under normal conditions this should be zero

    - #### waitingOnCommit

          public final com.yammer.metrics.core.Timer waitingOnCommit

      The time spent waiting on CL sync; for Periodic this is only occurs when the sync is lagging its sync interval

  - ### Constructor Detail

    - #### CommitLogMetrics

          public CommitLogMetrics(AbstractCommitLogService service,
                          CommitLogSegmentManager allocator)

Copyright © 2014 The Apache Software Foundation